Name: ovirt-engine-sdk-java
Version: 3.6.10.0
Release: 1%{?dist}
Summary: oVirt Engine Software Development Kit (Java)
Group: Development/Libraries
License: ASL 2.0
URL: http://ovirt.org

# git clone git://gerrit.ovirt.org/ovirt-engine-sdk-java
# cd ovirt-engine-sdk-java/sdk
# git archive --prefix ovirt-engine-sdk-java-3.6.10.0/ 3.6.10.0 | xz > ovirt-engine-sdk-java-3.6.10.0.tar.xz
Source: %{name}-%{version}.tar.xz

# Adapt for Fedora 25:
Patch0: 0001-Adapt-for-Fedora-25.patch

BuildArch: noarch

BuildRequires: apache-commons-beanutils
BuildRequires: httpcomponents-client
BuildRequires: log4j
BuildRequires: maven-local
BuildRequires: mvn(org.apache.maven.plugins:maven-source-plugin)

%description
This package contains The oVirt-Engine Java Software Development Kit.
With this package, custom java software can be built for oVirt-Engine.

%package javadoc
Summary: Javadocs for %{name}
Group: Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
%patch0 -p2

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc AUTHORS.md
%doc README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%{_javadocdir}/%{name}
%license LICENSE.txt

%changelog
* Tue Nov 15 2016 Juan Hernandez <juan.hernandez@redhat.com> - 3.6.10.0-1
- Update to upstream 3.6.10.0.
- Fix RSDL for updating cluster policy #1315657.
- Add support to stop Gluster services #1303539.
- Add support for deleting template NICs #1331068.
- Document VM pool update options #1318703.
- Add 'force' flag for updating a storage server connection #1379771.
- Fix RSDL for adding cluster #1279159.
- Explicitly select version 3 of the API.
- Fix RSDL metadata for provisioned_size #1290012.
- Document the use of All-Content in clusters #1287472.
- VM pools can use use_latest_template_version #1284596.
- Add support for SR-IOV #1231507.
- Add support for VM pool type #1244841.
- Added support for user SSH public keys.
- Don't use deprecated DefaultHttpClient #1255078.
- Get provider certificates from user instead of from backend #1255862.
- Improvements of the host networking API #1136329.
- Report host network QoS also in host NIC and network #1249654.

* Mon Nov 16 2015 Juan Hernandez <juan.hernandez@redhat.com> - 3.6.0.3-1
- Update to upstream 3.6.0.3.
- Added support for engine version 3.6.
- Introduce API builder.
- Add support for Kerberos authentication #1145237.

* Thu Sep 3 2015 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.4.0-1
- Update to upstream 3.5.4.0.
- Always use UTF-8 for encoding text #1223186.
- The "isattached" action should return an action object #1234937.
- Add principal and namespace parameters to users and groups #1188176.
- Added All-Content support to hosts #1194185.
- Added isattached action to storage domain #1179246.

* Mon Jul 6 2015 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.1.0-3
- Avoid Javadoc doclint issues #1239753.

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jan 16 2015 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.1.0-1
- Update to upstream 3.5.1.0.
- Added support for the operations to move, copy and export disks using
  the top level disks collection #1169376.
- Replaced storage_manager with spm #1146457.
- Added support for reconfigure firewall (override_iptables) to the host
  installation action #1179613.
- Added support for importing block storage domains #1181681.
- Fixed support for listing unregistered VMs #1148715.
- Added support for setting memory ballooning #1149188.
- Added support for specifying cluster during migration #1150191.
- Added snapshot id to documentation of preview action #1150071.
- Added custom_properties to templates #1166632.
- Added logical_name to disks #1063597.
- Added support for watchdog action and model #1129840.
- Added support for network QoS.
- Added support to enable/disable sound card to VM, pool and template.
- Added support for QoS, including CPU and disk profiles.
- Added support for iSCSI bonds.
- Avoid NPE when receiving null lists #1119812.
- Fix optional parameters of add template #1109548.
- Fix parameters of add DataCenter #1104085.
- Fix update VM optional parameters #1082594.
- Added NUMA support.
- Added actions to copy and move disks #1097681.
- Added file_transfer_enabled and copy_paste_enabled elements to Display.
- Added protocol element to Host.
- Added support for Gluster volume profiling.
- Added support for instance types.
- Added support for quota.id parameter for disks.
- Added support for random number generator device.
- Added support for scheduling policies.
- Added support storage domains disks sub-collection.
- Added support to register VMs and templates.
- Support X-Ovirt-Expect header #1093784.
- Added action to undelete events.
- Added base_interface to host_nic.
- Added boot_menu to VM and template.
- Added custom properties to host_nic.
- Added disksnapshots sub-collection to storagedomains.
- Added domain_entry_id to users and groups.
- Added sessions sub-collection to vms.
- Added support for Gluster volume statistics.
- Added support for VM and template custom serial numbers.
- Added support for bookmarks.
- Added support for deleting VM disk snapshots.
- Added support for reporting VM SELinux configuration.
- Added support for reporting VM kdump configuration.
- Added support for reporting architecture capabilities.
- Added tags sub-collection to templates.

* Fri Jul 18 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.4.3.0-1
- Update to upstream version 3.4.3.0.
- Add expect and correlationId parameters to network labels related
  methods #1101531.
- Add method to get entity by string id #1099818.
- Added maintenance operation to VM.
- Added hosted_engine element to Host.
- Added labels to Network.
- Added labels to HostNIC.
- Added actions to preview, commit and undo snapshots.
- Added support for affinity groups.
- Added support to import a VM as template.
- Removed external_id from users and groups.
- Renamed cloud_init.hostname to cloud_init.host.address.

* Thu Mar 27 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.4.0.7-1
- Update to upstream 3.4.0.7 in order to suport version 3.4 of the
  oVirt project.

* Wed Oct 09 2013 Juan Hernandez <juan.hernandez@redhat.com> - 1.0.0.18-1
- Initial packaging

